# Danh sách nhãn sản phẩm

* API này dùng để lấy danh sách [nhãn sản phẩm](https://nhanh.vn/setting/store/labels).
* Chú ý: Dữ liệu này rất ít khi bị thay đổi, bạn có thể cache dữ liệu trên hệ thống của bạn để giảm tải việc phải gọi API liên tục, thời gian cache khuyến cáo là 24h.

## Request

* Xem [common request params](/v3/readme.md#request-params).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/product/tags?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json'
--data '{
    "filters": {
         "ids": [ID_1,ID_2]
    },
    "paginator": {
        "size": 100
    }
}'
```

### Filters

| Key  | Type   | Description           |
| ---- | ------ | --------------------- |
| ids  | array  | List ID nhãn sản phẩm |
| name | string | Tên nhãn sản phẩm     |

### Paginator

* Xem cấu trúc chung [tại đây](/v3/readme.md#paginator).

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "paginator": {
    "next": {
      "id": "92220"
    }
  },
  "data": [
    {
      "id": "(int) ID nhãn sản phẩm",
      "businessId": "(int) ID doanh nghiệp",
      "name": "(string) Tên nhãn sản phẩm",
      "status": "(int) Trạng thái sản phẩm",
      "bgColor": "(string) Màu nền",
      "textColor": "(string) Màu chữ",
      "createdAt": "(int) Thời gian tạo - định dạng timestamp"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/product/tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
